Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List notion users

GET/workspaces/{organizationId}/notion/users
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Notion user mappings

usersobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
userIdstringrequired
notionUserIdstringrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/notion/users' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "users": [
    {
      "id": "string",
      "organizationId": "string",
      "userId": "string",
      "notionUserId": "string",
      "createdAt": "string"
    }
  ]
}

Was this page helpful?